Skip to main content

Cova Pay Canada

For a deeper dive into Cova Pay Canada, see Cova Pay Canada guide
Cova Data Platform API Guide
Base URL: https://api.covasoft.net/covapaycanada

Endpoints​

EndpointDescription
POST v1/companies/{companyId}/locations/{locationId}/ecomm-paymentThe first step toward taking an integrated online payment
GET v1/companies/{companyId}/ecomm-payments/{sessionId}Returns the status of an integrated online payment
POST v1/companies/{companyId}/locations/{locationId}/ecomm-refundRefund a full or partial payment
GET v1/companies/{companyId}/ecomm-refunds/{id}Returns the status of an integrated online refund.

POST v1/companies/{companyId}/locations/{locationId}/ecomm-payment​

The first step toward taking an integrated online payment

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
companyIdCova company identifierintegerRequired
locationIdCova location identifierintegerRequired

Body Parameters​

Payment session request

CovaPayCheckoutSessionRequest

NameDescriptionTypeAdditional information
OrderReferenceUnique string, such as the customer facing “order number” that will appear in reporting as the reference number to the transactionstringNone.
AmountA positive, decimal number (with 2 decimal digits) representing the amount to charge the carddecimal numberNone.
ReturnUrlA URL that redirects the shopper back to your site, after paymentstringNone.

Request Formats​

application/json, text/json

{
"OrderReference": "sample string 1",
"Amount": 2,
"ReturnUrl": "sample string 3"
}

Response Information​

Resource Description​

CovaPayCheckoutSessionResponse

NameDescriptionTypeAdditional information
sessionIdUnique Cova Pay session identifier - generatedstringNone.
idUnique Adyen session identifier - generatedstringNone.
sessionDataA string of encoded data needed to initialize web componentsstringNone.

Response Formats​

application/json, text/json

{
"sessionId": "sample string 1",
"id": "sample string 2",
"sessionData": "sample string 3"
}

GET v1/companies/{companyId}/ecomm-payments/{sessionId}​

Returns the status of an integrated online payment

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
companyIdCova company identifierintegerRequired
sessionIdUnique Cova Pay payment session identifierglobally unique identifierRequired

Body Parameters​

None.

Response Information​

Resource Description​

CovaEcommPaymentStatusResponse

NameDescriptionTypeAdditional information
IdThe original Cova Pay session id, captured from the payment sessionglobally unique identifierNone.
LocationIdThe Id of the location that the payment occurred atintegerNone.
StatusThe status of the paymentEcommPaymentStatusNone.
FailureReasonIf the payment failed to initiate this will contain the reason it failed. Otherwise, it will be an empty stringstringNone.
StoreReferenceThe Adyen Store reference for the locationstringNone.
OrderReferenceUnique string, such as the customer facing “order number” that will appear in reporting as the reference number to the transactionstringNone.
ReturnUrlA URL that redirects the shopper back to your site, after paymentstringNone.
CurrencyThe currency for the paymentCurrencyTypeNone.
AmountThe requested amount of the paymentdecimal numberNone.
CreatedDateThe date and time that the payment was initiateddateNone.
ResultsA list of all card attempts made for this paymentCollection of CovaEcommPaymentResultNone.

Response Formats​

application/json, text/json

{
"Id": "e1619851-284f-483f-b6ad-defe3349f47e",
"LocationId": 2,
"Status": 0,
"FailureReason": "sample string 3",
"StoreReference": "sample string 4",
"OrderReference": "sample string 5",
"ReturnUrl": "sample string 6",
"Currency": 0,
"Amount": 7,
"CreatedDate": "2026-10-02T17:41:21.6738575+00:00",
"Results": [
{
"AuthorizationCode": "sample string 1",
"AuthorizedAmount": 2,
"Succeeded": true,
"CardType": "sample string 4",
"Last4Digits": "sample string 5",
"TransactionTime": "2026-10-02T17:41:21.6738575+00:00",
"PspReference": "sample string 7",
"ShopperEmail": "sample string 8",
"Message": "sample string 9"
},
{
"AuthorizationCode": "sample string 1",
"AuthorizedAmount": 2,
"Succeeded": true,
"CardType": "sample string 4",
"Last4Digits": "sample string 5",
"TransactionTime": "2026-10-02T17:41:21.6738575+00:00",
"PspReference": "sample string 7",
"ShopperEmail": "sample string 8",
"Message": "sample string 9"
}
]
}

Models​

EcommPaymentStatus

Possible enumeration values:

NameValueDescription
InProgress0The payment session was successfully sent to the payment provider but the end user has not yet completed a payment
Completed1The user has completed one or more payment attempts. The payment attempts may or may not have been approved
Failed2The payment session failed to initiate with the payment provider Either the request was invalid or the payment provider could not be contacted
Abandoned3The payment session was abandoned by the user and no payment attempts were made

POST v1/companies/{companyId}/locations/{locationId}/ecomm-refund​

Refund a full or partial payment

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
companyIdCova company identifierintegerRequired
locationIdCova location identifierintegerRequired

Body Parameters​

Payment refund request

CovaPayRefundRequest

NameDescriptionTypeAdditional information
RefundReferenceRecommended to supply the original order reference to assist in retailer reconciliationstringNone.
RequestedAmountA positive, decimal number (with 2 decimal digits) representing the amount to refund. Must be lower than or equal to the original charge amount. Over-refund fails asynchronously and is not raised to the caller.decimal numberNone.
SessionIdThe original Cova Pay session id, captured from the payment sessionstringNone.

Request Formats​

application/json, text/json

{
"RefundReference": "sample string 1",
"RequestedAmount": 2,
"SessionId": "sample string 3"
}

Response Information​

Resource Description​

CovaPayRefundResponse

NameDescriptionTypeAdditional information
IdRefund identifier - generatedglobally unique identifierNone.

Response Formats​

application/json, text/json

{
"Id": "17b1a3fc-0a96-4341-957f-12a65dda0e52"
}

GET v1/companies/{companyId}/ecomm-refunds/{id}​

Returns the status of an integrated online refund.

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
companyIdCova company identifierintegerRequired
idUnique Cova Pay refund identifierglobally unique identifierRequired

Body Parameters​

None.

Response Information​

Resource Description​

CovaEcommRefundStatusResponse

NameDescriptionTypeAdditional information
IdRefund identifier - generatedglobally unique identifierNone.
LocationIdThe Id of the location that the refund occurred atintegerNone.
StatusThe status of the refundEcommRefundStatusNone.
FailureReasonIf the refund failed to initiate this will contain the reason it failed. Otherwise, it will be an empty stringstringNone.
RefundReferenceRecommended to supply the original order reference to assist in retailer reconciliationstringNone.
PaymentIdThe original Cova Pay session id, captured from the payment sessionglobally unique identifierNone.
CurrencyThe currency for the refundCurrencyTypeNone.
RequestedAmountThe requested amount of the refunddecimal numberNone.
PaymentPspReferenceThe Adyen PSP reference of the Ecomm payment that was refundedstringNone.
CreatedDateThe date and time that the refund was initiateddateNone.
ResultAdditional information about a completed refund This will be null if the refund failed to initiate or has not yet completedCovaEcommRefundResultNone.

Response Formats​

application/json, text/json

{
"Id": "c5e8fc1e-bfc6-4188-944f-462f69315dd8",
"LocationId": 2,
"Status": 0,
"FailureReason": "sample string 3",
"RefundReference": "sample string 4",
"PaymentId": "1aadedaa-2deb-4779-82f6-184227daaf48",
"Currency": 0,
"RequestedAmount": 6,
"PaymentPspReference": "sample string 7",
"CreatedDate": "2026-10-02T17:41:22.996446+00:00",
"Result": {
"AuthorizedAmount": 1,
"Succeeded": true,
"CardType": "sample string 3",
"Last4Digits": "sample string 4",
"TransactionTime": "2026-10-02T17:41:22.996446+00:00",
"PspReference": "sample string 6",
"Message": "sample string 7"
}
}

Models​

EcommRefundStatus

Possible enumeration values:

NameValueDescription
InProgress0The refund was successfully sent to the payment provider but has not yet completed
Completed1The refund has completed. It may or may not have been approved
Failed2The refund failed to initiate. Either the request was invalid or the payment provider could not be contacted